Bug 163516 - FreeBSD Port sysutils/bsdstats Defaults Override Patch
FreeBSD Port sysutils/bsdstats Defaults Override Patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 20:50 UTC by 4JT9aHfQ
Modified: 2012-01-07 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.28 KB, patch)
2011-12-21 20:50 UTC, 4JT9aHfQ
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4JT9aHfQ 2011-12-21 20:50:08 UTC
Installing the FreeBSD port sysutils/bsdstats requires user interaction to answer questions about whether or not to enable monthly reporting, reporting on reboot, et cetera.  The default options will be used if the PACKAGE_BUILDING environment variable is defined, but there are currently no environment variables to override the default options.

Fix: I've attached a patch for the pkg-install file that allows you to override the default options with the following environment variables:

 - BSDSTATS_MONTHLY_ENABLE for "Would you like to activate monthly reporting in /etc/periodic.conf?", which is set to "no" by default

 - BSDSTATS_MONTHLY_DEVICES for "Would you like to send a list of installed hardware as well?", which is set to "no" by default

 - BSDSTATS_MONTHLY_PORTS for "Would you like to send a list of installed ports as well?", which is set to "no" by default

 - BSDSTATS_MONTHLY_NOW for "Would you like to run it now?", which is set to "yes" by default

 - BSDSTATS_REBOOT_REPORTING for "Would you like to activate reporting on reboot in /etc/rc.conf?", which is set to "no" by default

This patch also simplifies the pkg-install file a little.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/sysutils/bsdstats
PACKAGE_BUILDING="yes" make install
Comment 1 scheidell freebsd_committer 2012-01-06 23:28:10 UTC
State Changed
From-To: open->feedback

Nice looking patch.  would you like to take over maintaince? 
Your pr's will be looked at faster if you are maintainer. 


Comment 2 scheidell freebsd_committer 2012-01-06 23:28:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Ill take it
Comment 3 scheidell freebsd_committer 2012-01-07 23:19:32 UTC
State Changed
From-To: feedback->closed

Committed, thanks.  Would you consider taking over this port?
Comment 4 dfilter freebsd_committer 2012-01-07 23:19:33 UTC
scheidell    2012-01-07 23:19:23 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bsdstats    pkg-install 
  Log:
  - Simplifies installation and sets up default options
  
  PR:             ports/163516
  Submitted by:   4JT9aHfQ@nanoman.ca
  Approved by:    gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.12      +33 -37    ports/sysutils/bsdstats/pkg-install
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"